From 29c0fe0023c44a3a0f88699ecd134fa225385132 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Hunold?= <juergen.hunold@ivembh.de>
Date: Mon, 20 Jan 2014 14:52:30 +0100
Subject: [PATCH] add wtf/wtf_stdint.h for msvc-9.0

---
 Source/JavaScriptCore/assembler/ARMv7Assembler.h   |  2 +-
 Source/JavaScriptCore/assembler/AssemblerBuffer.h  |  2 +-
 Source/JavaScriptCore/assembler/SH4Assembler.h     |  2 +-
 Source/JavaScriptCore/assembler/X86Assembler.h     |  2 +-
 .../disassembler/ARMv7/ARMv7DOpcode.h              |  2 +-
 Source/JavaScriptCore/heap/ListableHandler.h       |  2 +-
 Source/JavaScriptCore/os-win32/inttypes.h          |  2 +-
 Source/JavaScriptCore/parser/ParserTokens.h        |  2 +-
 Source/JavaScriptCore/runtime/Error.h              |  2 +-
 Source/JavaScriptCore/runtime/JSCJSValue.h         |  2 +-
 Source/JavaScriptCore/runtime/JSDateMath.cpp       |  2 +-
 Source/JavaScriptCore/runtime/Options.h            |  2 +-
 Source/JavaScriptCore/runtime/SamplingCounter.h    |  2 +-
 .../JavaScriptCore/yarr/YarrCanonicalizeUCS2.cpp   |  2 +-
 Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.h  |  2 +-
 Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.js |  2 +-
 Source/ThirdParty/ANGLE/include/KHR/khrplatform.h  |  6 +++---
 .../ANGLE/src/third_party/murmurhash/MurmurHash3.h |  2 +-
 Source/ThirdParty/leveldb/db/db_iter.h             |  2 +-
 Source/ThirdParty/leveldb/db/filename.h            |  2 +-
 Source/ThirdParty/leveldb/db/log_reader.h          |  2 +-
 Source/ThirdParty/leveldb/db/log_writer.h          |  2 +-
 Source/ThirdParty/leveldb/db/table_cache.h         |  2 +-
 Source/ThirdParty/leveldb/include/leveldb/c.h      |  2 +-
 Source/ThirdParty/leveldb/include/leveldb/cache.h  |  2 +-
 Source/ThirdParty/leveldb/include/leveldb/db.h     |  2 +-
 Source/ThirdParty/leveldb/include/leveldb/env.h    |  2 +-
 Source/ThirdParty/leveldb/include/leveldb/table.h  |  2 +-
 .../leveldb/include/leveldb/table_builder.h        |  2 +-
 Source/ThirdParty/leveldb/port/atomic_pointer.h    |  2 +-
 Source/ThirdParty/leveldb/port/port_posix.h        |  2 +-
 Source/ThirdParty/leveldb/table/block.h            |  2 +-
 Source/ThirdParty/leveldb/table/block_builder.h    |  2 +-
 Source/ThirdParty/leveldb/table/filter_block.h     |  2 +-
 Source/ThirdParty/leveldb/table/format.h           |  2 +-
 Source/ThirdParty/leveldb/util/arena.h             |  2 +-
 Source/ThirdParty/leveldb/util/coding.h            |  2 +-
 Source/ThirdParty/leveldb/util/crc32c.h            |  2 +-
 Source/ThirdParty/leveldb/util/hash.h              |  2 +-
 Source/ThirdParty/leveldb/util/logging.h           |  2 +-
 Source/ThirdParty/leveldb/util/random.h            |  2 +-
 Source/WTF/wtf/Alignment.h                         |  2 +-
 Source/WTF/wtf/Bitmap.h                            |  2 +-
 Source/WTF/wtf/CheckedArithmetic.h                 |  2 +-
 Source/WTF/wtf/CryptographicallyRandomNumber.h     |  2 +-
 Source/WTF/wtf/CurrentTime.cpp                     |  2 +-
 Source/WTF/wtf/DateMath.cpp                        |  2 +-
 Source/WTF/wtf/DateMath.h                          |  2 +-
 Source/WTF/wtf/Encoder.h                           |  2 +-
 Source/WTF/wtf/FastAllocBase.h                     |  2 +-
 Source/WTF/wtf/HashFunctions.h                     |  2 +-
 Source/WTF/wtf/MainThread.h                        |  2 +-
 Source/WTF/wtf/MathExtras.h                        |  2 +-
 Source/WTF/wtf/MediaTime.h                         |  2 +-
 Source/WTF/wtf/OSRandomSource.cpp                  |  2 +-
 Source/WTF/wtf/RandomNumber.cpp                    |  2 +-
 Source/WTF/wtf/SaturatedArithmetic.h               |  2 +-
 Source/WTF/wtf/TCPageMap.h                         |  2 +-
 Source/WTF/wtf/Threading.h                         |  2 +-
 Source/WTF/wtf/dtoa/utils.h                        |  2 +-
 Source/WTF/wtf/text/ASCIIFastPath.h                |  2 +-
 Source/WTF/wtf/unicode/wchar/UnicodeWchar.h        |  2 +-
 Source/WTF/wtf/wtf_stdint.h                        | 24 ++++++++++++++++++++++
 .../Modules/indexeddb/IDBDatabaseBackendImpl.h     |  2 +-
 Source/WebCore/editing/DictationAlternative.h      |  2 +-
 Source/WebCore/platform/Decimal.h                  |  2 +-
 Source/WebCore/platform/PODArena.h                 |  2 +-
 Source/WebCore/platform/graphics/win/GL/glext.h    |  4 ++--
 .../WebCore/platform/graphics/win/QTPixelBuffer.h  |  2 +-
 .../WebCore/platform/graphics/win/WKCAImageQueue.h |  2 +-
 .../platform/image-decoders/bmp/BMPImageReader.h   |  2 +-
 Source/WebCore/platform/network/MIMESniffing.cpp   |  2 +-
 Source/WebCore/plugins/nptypes.h                   |  2 +-
 Source/WebKit/gtk/webkit/webkitwebpolicydecision.h |  2 +-
 Source/WebKit2/Shared/API/c/WKBase.h               |  2 +-
 Source/WebKit2/Shared/CacheModel.h                 |  2 +-
 Source/WebKit2/Shared/LayerTreeContext.h           |  2 +-
 Source/WebKit2/UIProcess/DrawingAreaProxy.h        |  2 +-
 .../WebKit2/WebProcess/Cookies/WebCookieManager.h  |  2 +-
 .../WebProcess/InjectedBundle/API/c/WKBundlePage.h |  2 +-
 .../InjectedBundle/API/c/WKBundlePageOverlay.h     |  2 +-
 .../WebProcess/MediaCache/WebMediaCacheManager.h   |  2 +-
 .../WebProcess/WebCoreSupport/WebDatabaseManager.h |  2 +-
 Tools/TestWebKitAPI/config.h                       |  2 +-
 84 files changed, 110 insertions(+), 86 deletions(-)
 create mode 100644 Source/WTF/wtf/wtf_stdint.h

diff --git a/Source/JavaScriptCore/assembler/ARMv7Assembler.h b/Source/JavaScriptCore/assembler/ARMv7Assembler.h
index 2898954..c6f8032 100644
--- a/Source/JavaScriptCore/assembler/ARMv7Assembler.h
+++ b/Source/JavaScriptCore/assembler/ARMv7Assembler.h
@@ -32,7 +32,7 @@
 #include "AssemblerBuffer.h"
 #include <wtf/Assertions.h>
 #include <wtf/Vector.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace JSC {
 
diff --git a/Source/JavaScriptCore/assembler/AssemblerBuffer.h b/Source/JavaScriptCore/assembler/AssemblerBuffer.h
index d82c0b9..86bb06a 100644
--- a/Source/JavaScriptCore/assembler/AssemblerBuffer.h
+++ b/Source/JavaScriptCore/assembler/AssemblerBuffer.h
@@ -31,7 +31,7 @@
 #include "ExecutableAllocator.h"
 #include "JITCompilationEffort.h"
 #include "VM.h"
-#include "stdint.h"
+#include <wtf/wtf_stdint.h>
 #include <string.h>
 #include <wtf/Assertions.h>
 #include <wtf/FastMalloc.h>
diff --git a/Source/JavaScriptCore/assembler/SH4Assembler.h b/Source/JavaScriptCore/assembler/SH4Assembler.h
index f9f70ad..c7569f0 100644
--- a/Source/JavaScriptCore/assembler/SH4Assembler.h
+++ b/Source/JavaScriptCore/assembler/SH4Assembler.h
@@ -34,7 +34,7 @@
 #include "AssemblerBufferWithConstantPool.h"
 #include "JITCompilationEffort.h"
 #include <stdarg.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdio.h>
 #include <wtf/Assertions.h>
 #include <wtf/DataLog.h>
diff --git a/Source/JavaScriptCore/assembler/X86Assembler.h b/Source/JavaScriptCore/assembler/X86Assembler.h
index 2883e0a..56a26ab 100644
--- a/Source/JavaScriptCore/assembler/X86Assembler.h
+++ b/Source/JavaScriptCore/assembler/X86Assembler.h
@@ -30,7 +30,7 @@
 
 #include "AssemblerBuffer.h"
 #include "JITCompilationEffort.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 #include <wtf/Vector.h>
 
diff --git a/Source/JavaScriptCore/disassembler/ARMv7/ARMv7DOpcode.h b/Source/JavaScriptCore/disassembler/ARMv7/ARMv7DOpcode.h
index 28bddd5..7eb84c9 100644
--- a/Source/JavaScriptCore/disassembler/ARMv7/ARMv7DOpcode.h
+++ b/Source/JavaScriptCore/disassembler/ARMv7/ARMv7DOpcode.h
@@ -28,7 +28,7 @@
 
 #if USE(ARMV7_DISASSEMBLER)
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 
 namespace JSC { namespace ARMv7Disassembler {
diff --git a/Source/JavaScriptCore/heap/ListableHandler.h b/Source/JavaScriptCore/heap/ListableHandler.h
index 16c3414..f595071 100644
--- a/Source/JavaScriptCore/heap/ListableHandler.h
+++ b/Source/JavaScriptCore/heap/ListableHandler.h
@@ -20,7 +20,7 @@
 #ifndef ListableHandler_h
 #define ListableHandler_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Locker.h>
 #include <wtf/Noncopyable.h>
 #include <wtf/ThreadingPrimitives.h>
diff --git a/Source/JavaScriptCore/os-win32/inttypes.h b/Source/JavaScriptCore/os-win32/inttypes.h
index 5ecc276..58509fd 100644
--- a/Source/JavaScriptCore/os-win32/inttypes.h
+++ b/Source/JavaScriptCore/os-win32/inttypes.h
@@ -42,7 +42,7 @@
 #pragma once
 #endif
 
-#include "stdint.h"
+#include <wtf/wtf_stdint.h>
 
 // 7.8.1 Macros for format specifiers
 
diff --git a/Source/JavaScriptCore/parser/ParserTokens.h b/Source/JavaScriptCore/parser/ParserTokens.h
index ed9780b..894a462 100644
--- a/Source/JavaScriptCore/parser/ParserTokens.h
+++ b/Source/JavaScriptCore/parser/ParserTokens.h
@@ -28,7 +28,7 @@
 
 #include "ParserModes.h"
 #include <limits.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace JSC {
 
diff --git a/Source/JavaScriptCore/runtime/Error.h b/Source/JavaScriptCore/runtime/Error.h
index 36e425d..db1e003 100644
--- a/Source/JavaScriptCore/runtime/Error.h
+++ b/Source/JavaScriptCore/runtime/Error.h
@@ -26,7 +26,7 @@
 #include "InternalFunction.h"
 #include "Interpreter.h"
 #include "JSObject.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace JSC {
 
diff --git a/Source/JavaScriptCore/runtime/JSCJSValue.h b/Source/JavaScriptCore/runtime/JSCJSValue.h
index abb4b81..295db66 100644
--- a/Source/JavaScriptCore/runtime/JSCJSValue.h
+++ b/Source/JavaScriptCore/runtime/JSCJSValue.h
@@ -25,7 +25,7 @@
 
 #include <math.h>
 #include <stddef.h> // for size_t
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 #include <wtf/Forward.h>
 #include <wtf/HashMap.h>
diff --git a/Source/JavaScriptCore/runtime/JSDateMath.cpp b/Source/JavaScriptCore/runtime/JSDateMath.cpp
index b695736..6bfa55b 100644
--- a/Source/JavaScriptCore/runtime/JSDateMath.cpp
+++ b/Source/JavaScriptCore/runtime/JSDateMath.cpp
@@ -79,7 +79,7 @@
 #include <algorithm>
 #include <limits.h>
 #include <limits>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <time.h>
 #include <wtf/ASCIICType.h>
 #include <wtf/Assertions.h>
diff --git a/Source/JavaScriptCore/runtime/Options.h b/Source/JavaScriptCore/runtime/Options.h
index 559b608..449b774 100644
--- a/Source/JavaScriptCore/runtime/Options.h
+++ b/Source/JavaScriptCore/runtime/Options.h
@@ -27,7 +27,7 @@
 #define Options_h
 
 #include "JSExportMacros.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdio.h>
 
 namespace JSC {
diff --git a/Source/JavaScriptCore/runtime/SamplingCounter.h b/Source/JavaScriptCore/runtime/SamplingCounter.h
index 8413b54..3cc3dbf 100644
--- a/Source/JavaScriptCore/runtime/SamplingCounter.h
+++ b/Source/JavaScriptCore/runtime/SamplingCounter.h
@@ -29,7 +29,7 @@
 #ifndef SamplingCounter_h
 #define SamplingCounter_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 
 namespace JSC {
diff --git a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.cpp b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.cpp
index 7bb3d08..49b71ac 100644
--- a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.cpp
+++ b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.cpp
@@ -30,7 +30,7 @@
 
 namespace JSC { namespace Yarr {
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 uint16_t ucs2CharacterSet0[] = { 0x01c4u, 0x01c5u, 0x01c6u, 0 };
 uint16_t ucs2CharacterSet1[] = { 0x01c7u, 0x01c8u, 0x01c9u, 0 };
diff --git a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.h b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.h
index 9dce782..28b1014 100644
--- a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.h
+++ b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.h
@@ -26,7 +26,7 @@
 #ifndef YarrCanonicalizeUCS2_H
 #define YarrCanonicalizeUCS2_H
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/unicode/Unicode.h>
 
 namespace JSC { namespace Yarr {
diff --git a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.js b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.js
index 00361dd..5b508dc 100644
--- a/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.js
+++ b/Source/JavaScriptCore/yarr/YarrCanonicalizeUCS2.js
@@ -179,7 +179,7 @@ print('#include "YarrCanonicalizeUCS2.h"');
 print();
 print("namespace JSC { namespace Yarr {");
 print();
-print("#include <stdint.h>");
+print("#include <wtf/wtf_stdint.h>");
 print();
 
 for (i in characterSetInfo) {
diff --git a/Source/ThirdParty/ANGLE/include/KHR/khrplatform.h b/Source/ThirdParty/ANGLE/include/KHR/khrplatform.h
index 8ec0d19..bf43cc2 100644
--- a/Source/ThirdParty/ANGLE/include/KHR/khrplatform.h
+++ b/Source/ThirdParty/ANGLE/include/KHR/khrplatform.h
@@ -136,9 +136,9 @@
 
 
 /*
- * Using <stdint.h>
+ * Using <wtf/wtf_stdint.h>
  */
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 typedef int32_t                 khronos_int32_t;
 typedef uint32_t                khronos_uint32_t;
 typedef int64_t                 khronos_int64_t;
@@ -203,7 +203,7 @@ typedef unsigned int            khronos_uint32_t;
 /*
  * Generic fallback
  */
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 typedef int32_t                 khronos_int32_t;
 typedef uint32_t                khronos_uint32_t;
 typedef int64_t                 khronos_int64_t;
diff --git a/Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.h b/Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.h
index 1bdebec..376ee03 100644
--- a/Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.h
+++ b/Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.h
@@ -20,7 +20,7 @@ typedef unsigned __int64 uint64_t;
 
 #else   // defined(_MSC_VER)
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #endif // !defined(_MSC_VER)
 
diff --git a/Source/ThirdParty/leveldb/db/db_iter.h b/Source/ThirdParty/leveldb/db/db_iter.h
index d9e1b17..9c4d567 100644
--- a/Source/ThirdParty/leveldb/db/db_iter.h
+++ b/Source/ThirdParty/leveldb/db/db_iter.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_DB_DB_ITER_H_
 #define STORAGE_LEVELDB_DB_DB_ITER_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/db.h"
 #include "db/dbformat.h"
 
diff --git a/Source/ThirdParty/leveldb/db/filename.h b/Source/ThirdParty/leveldb/db/filename.h
index d5d09b1..66c7ddb 100644
--- a/Source/ThirdParty/leveldb/db/filename.h
+++ b/Source/ThirdParty/leveldb/db/filename.h
@@ -7,7 +7,7 @@
 #ifndef STORAGE_LEVELDB_DB_FILENAME_H_
 #define STORAGE_LEVELDB_DB_FILENAME_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string>
 #include "leveldb/slice.h"
 #include "leveldb/status.h"
diff --git a/Source/ThirdParty/leveldb/db/log_reader.h b/Source/ThirdParty/leveldb/db/log_reader.h
index 82d4bee..21efee2 100644
--- a/Source/ThirdParty/leveldb/db/log_reader.h
+++ b/Source/ThirdParty/leveldb/db/log_reader.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_DB_LOG_READER_H_
 #define STORAGE_LEVELDB_DB_LOG_READER_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #include "db/log_format.h"
 #include "leveldb/slice.h"
diff --git a/Source/ThirdParty/leveldb/db/log_writer.h b/Source/ThirdParty/leveldb/db/log_writer.h
index a3a954d..6606df3 100644
--- a/Source/ThirdParty/leveldb/db/log_writer.h
+++ b/Source/ThirdParty/leveldb/db/log_writer.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_DB_LOG_WRITER_H_
 #define STORAGE_LEVELDB_DB_LOG_WRITER_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "db/log_format.h"
 #include "leveldb/slice.h"
 #include "leveldb/status.h"
diff --git a/Source/ThirdParty/leveldb/db/table_cache.h b/Source/ThirdParty/leveldb/db/table_cache.h
index 8cf4aaf..57e4655 100644
--- a/Source/ThirdParty/leveldb/db/table_cache.h
+++ b/Source/ThirdParty/leveldb/db/table_cache.h
@@ -8,7 +8,7 @@
 #define STORAGE_LEVELDB_DB_TABLE_CACHE_H_
 
 #include <string>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "db/dbformat.h"
 #include "leveldb/cache.h"
 #include "leveldb/table.h"
diff --git a/Source/ThirdParty/leveldb/include/leveldb/c.h b/Source/ThirdParty/leveldb/include/leveldb/c.h
index 1fa5886..ad016e3 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/c.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/c.h
@@ -47,7 +47,7 @@ extern "C" {
 
 #include <stdarg.h>
 #include <stddef.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 /* Exported types */
 
diff --git a/Source/ThirdParty/leveldb/include/leveldb/cache.h b/Source/ThirdParty/leveldb/include/leveldb/cache.h
index 5e3b476..ff7ae4e 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/cache.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/cache.h
@@ -18,7 +18,7 @@
 #ifndef STORAGE_LEVELDB_INCLUDE_CACHE_H_
 #define STORAGE_LEVELDB_INCLUDE_CACHE_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/slice.h"
 
 namespace leveldb {
diff --git a/Source/ThirdParty/leveldb/include/leveldb/db.h b/Source/ThirdParty/leveldb/include/leveldb/db.h
index 29d3674..4e376bc 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/db.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/db.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_INCLUDE_DB_H_
 #define STORAGE_LEVELDB_INCLUDE_DB_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdio.h>
 #include "leveldb/iterator.h"
 #include "leveldb/options.h"
diff --git a/Source/ThirdParty/leveldb/include/leveldb/env.h b/Source/ThirdParty/leveldb/include/leveldb/env.h
index fa32289..45061d4 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/env.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/env.h
@@ -16,7 +16,7 @@
 #include <cstdarg>
 #include <string>
 #include <vector>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/status.h"
 
 namespace leveldb {
diff --git a/Source/ThirdParty/leveldb/include/leveldb/table.h b/Source/ThirdParty/leveldb/include/leveldb/table.h
index a9746c3..8b2be02 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/table.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/table.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_INCLUDE_TABLE_H_
 #define STORAGE_LEVELDB_INCLUDE_TABLE_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/iterator.h"
 
 namespace leveldb {
diff --git a/Source/ThirdParty/leveldb/include/leveldb/table_builder.h b/Source/ThirdParty/leveldb/include/leveldb/table_builder.h
index 5fd1dc7..3dd704f 100644
--- a/Source/ThirdParty/leveldb/include/leveldb/table_builder.h
+++ b/Source/ThirdParty/leveldb/include/leveldb/table_builder.h
@@ -13,7 +13,7 @@
 #ifndef STORAGE_LEVELDB_INCLUDE_TABLE_BUILDER_H_
 #define STORAGE_LEVELDB_INCLUDE_TABLE_BUILDER_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/options.h"
 #include "leveldb/status.h"
 
diff --git a/Source/ThirdParty/leveldb/port/atomic_pointer.h b/Source/ThirdParty/leveldb/port/atomic_pointer.h
index e17bf43..9056514 100644
--- a/Source/ThirdParty/leveldb/port/atomic_pointer.h
+++ b/Source/ThirdParty/leveldb/port/atomic_pointer.h
@@ -19,7 +19,7 @@
 #ifndef PORT_ATOMIC_POINTER_H_
 #define PORT_ATOMIC_POINTER_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #ifdef LEVELDB_CSTDATOMIC_PRESENT
 #include <cstdatomic>
 #endif
diff --git a/Source/ThirdParty/leveldb/port/port_posix.h b/Source/ThirdParty/leveldb/port/port_posix.h
index f2b89bf..000699d 100644
--- a/Source/ThirdParty/leveldb/port/port_posix.h
+++ b/Source/ThirdParty/leveldb/port/port_posix.h
@@ -45,7 +45,7 @@
 #ifdef SNAPPY
 #include <snappy.h>
 #endif
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string>
 #include "port/atomic_pointer.h"
 
diff --git a/Source/ThirdParty/leveldb/table/block.h b/Source/ThirdParty/leveldb/table/block.h
index 2493eb9..1c88ddb 100644
--- a/Source/ThirdParty/leveldb/table/block.h
+++ b/Source/ThirdParty/leveldb/table/block.h
@@ -6,7 +6,7 @@
 #define STORAGE_LEVELDB_TABLE_BLOCK_H_
 
 #include <stddef.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/iterator.h"
 
 namespace leveldb {
diff --git a/Source/ThirdParty/leveldb/table/block_builder.h b/Source/ThirdParty/leveldb/table/block_builder.h
index 5b545bd..e548ef9 100644
--- a/Source/ThirdParty/leveldb/table/block_builder.h
+++ b/Source/ThirdParty/leveldb/table/block_builder.h
@@ -7,7 +7,7 @@
 
 #include <vector>
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/slice.h"
 
 namespace leveldb {
diff --git a/Source/ThirdParty/leveldb/table/filter_block.h b/Source/ThirdParty/leveldb/table/filter_block.h
index c67d010..b0aeef1 100644
--- a/Source/ThirdParty/leveldb/table/filter_block.h
+++ b/Source/ThirdParty/leveldb/table/filter_block.h
@@ -10,7 +10,7 @@
 #define STORAGE_LEVELDB_TABLE_FILTER_BLOCK_H_
 
 #include <stddef.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string>
 #include <vector>
 #include "leveldb/slice.h"
diff --git a/Source/ThirdParty/leveldb/table/format.h b/Source/ThirdParty/leveldb/table/format.h
index 6c0b80c..2be18ae 100644
--- a/Source/ThirdParty/leveldb/table/format.h
+++ b/Source/ThirdParty/leveldb/table/format.h
@@ -6,7 +6,7 @@
 #define STORAGE_LEVELDB_TABLE_FORMAT_H_
 
 #include <string>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "leveldb/slice.h"
 #include "leveldb/status.h"
 #include "leveldb/table_builder.h"
diff --git a/Source/ThirdParty/leveldb/util/arena.h b/Source/ThirdParty/leveldb/util/arena.h
index 8f7dde2..fd16583 100644
--- a/Source/ThirdParty/leveldb/util/arena.h
+++ b/Source/ThirdParty/leveldb/util/arena.h
@@ -8,7 +8,7 @@
 #include <cstddef>
 #include <vector>
 #include <assert.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace leveldb {
 
diff --git a/Source/ThirdParty/leveldb/util/coding.h b/Source/ThirdParty/leveldb/util/coding.h
index 3993c4a..bd50643 100644
--- a/Source/ThirdParty/leveldb/util/coding.h
+++ b/Source/ThirdParty/leveldb/util/coding.h
@@ -10,7 +10,7 @@
 #ifndef STORAGE_LEVELDB_UTIL_CODING_H_
 #define STORAGE_LEVELDB_UTIL_CODING_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string.h>
 #include <string>
 #include "leveldb/slice.h"
diff --git a/Source/ThirdParty/leveldb/util/crc32c.h b/Source/ThirdParty/leveldb/util/crc32c.h
index 1d7e5c0..7c47ae3 100644
--- a/Source/ThirdParty/leveldb/util/crc32c.h
+++ b/Source/ThirdParty/leveldb/util/crc32c.h
@@ -6,7 +6,7 @@
 #define STORAGE_LEVELDB_UTIL_CRC32C_H_
 
 #include <stddef.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace leveldb {
 namespace crc32c {
diff --git a/Source/ThirdParty/leveldb/util/hash.h b/Source/ThirdParty/leveldb/util/hash.h
index 8889d56..2dd00ed 100644
--- a/Source/ThirdParty/leveldb/util/hash.h
+++ b/Source/ThirdParty/leveldb/util/hash.h
@@ -8,7 +8,7 @@
 #define STORAGE_LEVELDB_UTIL_HASH_H_
 
 #include <stddef.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace leveldb {
 
diff --git a/Source/ThirdParty/leveldb/util/logging.h b/Source/ThirdParty/leveldb/util/logging.h
index b0c5da8..3a05f9f 100644
--- a/Source/ThirdParty/leveldb/util/logging.h
+++ b/Source/ThirdParty/leveldb/util/logging.h
@@ -9,7 +9,7 @@
 #define STORAGE_LEVELDB_UTIL_LOGGING_H_
 
 #include <stdio.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string>
 #include "port/port.h"
 
diff --git a/Source/ThirdParty/leveldb/util/random.h b/Source/ThirdParty/leveldb/util/random.h
index 0753824..232ea45 100644
--- a/Source/ThirdParty/leveldb/util/random.h
+++ b/Source/ThirdParty/leveldb/util/random.h
@@ -5,7 +5,7 @@
 #ifndef STORAGE_LEVELDB_UTIL_RANDOM_H_
 #define STORAGE_LEVELDB_UTIL_RANDOM_H_
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace leveldb {
 
diff --git a/Source/WTF/wtf/Alignment.h b/Source/WTF/wtf/Alignment.h
index 50ccb02..338d30b 100644
--- a/Source/WTF/wtf/Alignment.h
+++ b/Source/WTF/wtf/Alignment.h
@@ -23,7 +23,7 @@
 
 #include <wtf/Platform.h>
 #include <algorithm>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 
 namespace WTF {
diff --git a/Source/WTF/wtf/Bitmap.h b/Source/WTF/wtf/Bitmap.h
index 76a2ca4..4b7490c 100644
--- a/Source/WTF/wtf/Bitmap.h
+++ b/Source/WTF/wtf/Bitmap.h
@@ -22,7 +22,7 @@
 #include <wtf/Atomics.h>
 #include <wtf/FixedArray.h>
 #include <wtf/StdLibExtras.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string.h>
 
 namespace WTF {
diff --git a/Source/WTF/wtf/CheckedArithmetic.h b/Source/WTF/wtf/CheckedArithmetic.h
index dd4acbb..6888d88 100644
--- a/Source/WTF/wtf/CheckedArithmetic.h
+++ b/Source/WTF/wtf/CheckedArithmetic.h
@@ -31,7 +31,7 @@
 #include <wtf/TypeTraits.h>
 
 #include <limits>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 /* Checked<T>
  *
diff --git a/Source/WTF/wtf/CryptographicallyRandomNumber.h b/Source/WTF/wtf/CryptographicallyRandomNumber.h
index 6e8f875..66a8242 100644
--- a/Source/WTF/wtf/CryptographicallyRandomNumber.h
+++ b/Source/WTF/wtf/CryptographicallyRandomNumber.h
@@ -26,7 +26,7 @@
 #ifndef WTF_CryptographicallyRandomNumber_h
 #define WTF_CryptographicallyRandomNumber_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WTF {
 
diff --git a/Source/WTF/wtf/CurrentTime.cpp b/Source/WTF/wtf/CurrentTime.cpp
index e7326df..62e401a 100644
--- a/Source/WTF/wtf/CurrentTime.cpp
+++ b/Source/WTF/wtf/CurrentTime.cpp
@@ -46,7 +46,7 @@
 #undef WIN32_LEAN_AND_MEAN
 #include <windows.h>
 #include <math.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <time.h>
 
 #elif PLATFORM(EFL)
diff --git a/Source/WTF/wtf/DateMath.cpp b/Source/WTF/wtf/DateMath.cpp
index 65be223..3cad2ca 100644
--- a/Source/WTF/wtf/DateMath.cpp
+++ b/Source/WTF/wtf/DateMath.cpp
@@ -82,7 +82,7 @@
 #include <algorithm>
 #include <limits.h>
 #include <limits>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <time.h>
 #include <wtf/text/StringBuilder.h>
 
diff --git a/Source/WTF/wtf/DateMath.h b/Source/WTF/wtf/DateMath.h
index cef8b09..2c879f0 100644
--- a/Source/WTF/wtf/DateMath.h
+++ b/Source/WTF/wtf/DateMath.h
@@ -44,7 +44,7 @@
 #define DateMath_h
 
 #include <math.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string.h>
 #include <time.h>
 #include <wtf/CurrentTime.h>
diff --git a/Source/WTF/wtf/Encoder.h b/Source/WTF/wtf/Encoder.h
index 109b0db..2dc1f3c 100644
--- a/Source/WTF/wtf/Encoder.h
+++ b/Source/WTF/wtf/Encoder.h
@@ -26,7 +26,7 @@
 #ifndef Encoder_h
 #define Encoder_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WTF {
 
diff --git a/Source/WTF/wtf/FastAllocBase.h b/Source/WTF/wtf/FastAllocBase.h
index a0804ad..d4a1629 100644
--- a/Source/WTF/wtf/FastAllocBase.h
+++ b/Source/WTF/wtf/FastAllocBase.h
@@ -85,7 +85,7 @@
 //
 
 #include <new>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdlib.h>
 #include <string.h>
 #include <wtf/Assertions.h>
diff --git a/Source/WTF/wtf/HashFunctions.h b/Source/WTF/wtf/HashFunctions.h
index 75fabcd..88a0b14 100644
--- a/Source/WTF/wtf/HashFunctions.h
+++ b/Source/WTF/wtf/HashFunctions.h
@@ -22,7 +22,7 @@
 #define WTF_HashFunctions_h
 
 #include <wtf/RefPtr.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WTF {
 
diff --git a/Source/WTF/wtf/MainThread.h b/Source/WTF/wtf/MainThread.h
index 9627991..32c433a 100644
--- a/Source/WTF/wtf/MainThread.h
+++ b/Source/WTF/wtf/MainThread.h
@@ -30,7 +30,7 @@
 #ifndef MainThread_h
 #define MainThread_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WTF {
 
diff --git a/Source/WTF/wtf/MathExtras.h b/Source/WTF/wtf/MathExtras.h
index 4ff78df..b044906 100644
--- a/Source/WTF/wtf/MathExtras.h
+++ b/Source/WTF/wtf/MathExtras.h
@@ -30,7 +30,7 @@
 #include <cmath>
 #include <float.h>
 #include <limits>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdlib.h>
 #include <wtf/StdLibExtras.h>
 
diff --git a/Source/WTF/wtf/MediaTime.h b/Source/WTF/wtf/MediaTime.h
index 413b1a7..c9b11bf 100644
--- a/Source/WTF/wtf/MediaTime.h
+++ b/Source/WTF/wtf/MediaTime.h
@@ -31,7 +31,7 @@
 #include <cmath>
 #include <limits>
 #include <math.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WTF {
 
diff --git a/Source/WTF/wtf/OSRandomSource.cpp b/Source/WTF/wtf/OSRandomSource.cpp
index 2495abf..c76c759 100644
--- a/Source/WTF/wtf/OSRandomSource.cpp
+++ b/Source/WTF/wtf/OSRandomSource.cpp
@@ -26,7 +26,7 @@
 #include "config.h"
 #include "OSRandomSource.h"
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdlib.h>
 
 #if OS(UNIX)
diff --git a/Source/WTF/wtf/RandomNumber.cpp b/Source/WTF/wtf/RandomNumber.cpp
index 7c764d3..9dc8b1a 100644
--- a/Source/WTF/wtf/RandomNumber.cpp
+++ b/Source/WTF/wtf/RandomNumber.cpp
@@ -33,7 +33,7 @@
 
 #include <limits>
 #include <limits.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdlib.h>
 
 namespace WTF {
diff --git a/Source/WTF/wtf/SaturatedArithmetic.h b/Source/WTF/wtf/SaturatedArithmetic.h
index cf9e8e1..348b5c7 100644
--- a/Source/WTF/wtf/SaturatedArithmetic.h
+++ b/Source/WTF/wtf/SaturatedArithmetic.h
@@ -32,7 +32,7 @@
 #define SaturatedArithmetic_h
 
 #include <limits>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <stdlib.h>
 
 inline int32_t saturatedAddition(int32_t a, int32_t b)
diff --git a/Source/WTF/wtf/TCPageMap.h b/Source/WTF/wtf/TCPageMap.h
index 3107f6f..0e86a80 100644
--- a/Source/WTF/wtf/TCPageMap.h
+++ b/Source/WTF/wtf/TCPageMap.h
@@ -45,7 +45,7 @@
 #ifndef TCMALLOC_PAGEMAP_H__
 #define TCMALLOC_PAGEMAP_H__
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <string.h>
 #include <wtf/Assertions.h>
 
diff --git a/Source/WTF/wtf/Threading.h b/Source/WTF/wtf/Threading.h
index 3e558fc..412ce8c 100644
--- a/Source/WTF/wtf/Threading.h
+++ b/Source/WTF/wtf/Threading.h
@@ -61,7 +61,7 @@
 
 #include <wtf/Platform.h>
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 #include <wtf/Atomics.h>
 #include <wtf/Locker.h>
diff --git a/Source/WTF/wtf/dtoa/utils.h b/Source/WTF/wtf/dtoa/utils.h
index e2f0a40..0222256 100644
--- a/Source/WTF/wtf/dtoa/utils.h
+++ b/Source/WTF/wtf/dtoa/utils.h
@@ -77,7 +77,7 @@ typedef unsigned __int64 uint64_t;
 
 #else
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #endif
 
diff --git a/Source/WTF/wtf/text/ASCIIFastPath.h b/Source/WTF/wtf/text/ASCIIFastPath.h
index e266afd..a57b295 100644
--- a/Source/WTF/wtf/text/ASCIIFastPath.h
+++ b/Source/WTF/wtf/text/ASCIIFastPath.h
@@ -25,7 +25,7 @@
 #if OS(DARWIN) && (CPU(X86) || CPU(X86_64))
 #include <emmintrin.h>
 #endif
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Alignment.h>
 #include <wtf/StdLibExtras.h>
 #include <wtf/unicode/Unicode.h>
diff --git a/Source/WTF/wtf/unicode/wchar/UnicodeWchar.h b/Source/WTF/wtf/unicode/wchar/UnicodeWchar.h
index 10c2026..96450c3 100644
--- a/Source/WTF/wtf/unicode/wchar/UnicodeWchar.h
+++ b/Source/WTF/wtf/unicode/wchar/UnicodeWchar.h
@@ -25,7 +25,7 @@
 #ifndef WTF_UnicodeWchar_h
 #define WTF_UnicodeWchar_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wchar.h>
 #include <wtf/unicode/ScriptCodesFromICU.h>
 #include <wtf/unicode/UnicodeMacrosFromICU.h>
diff --git a/Source/WTF/wtf/wtf_stdint.h b/Source/WTF/wtf/wtf_stdint.h
new file mode 100644
index 0000000..4f12d95
--- /dev/null
+++ b/Source/WTF/wtf/wtf_stdint.h
@@ -0,0 +1,24 @@
+#ifndef WtfStdint_h
+#define WtfStdint_h
+
+#include <wtf/Compiler.h>
+
+#if COMPILER(MSVC9_OR_LOWER)
+
+typedef signed char int8_t;
+typedef unsigned __int8 uint8_t;
+typedef __int16 int16_t;
+typedef unsigned __int16 uint16_t;
+typedef __int32 int32_t;
+typedef unsigned __int32 uint32_t;
+typedef __int64 int64_t;
+typedef unsigned __int64 uint64_t;
+
+typedef unsigned int size_t;
+typedef int ssize_t;
+
+#else
+#include <stdint.h>
+#endif
+
+#endif
diff --git a/Source/WebCore/Modules/indexeddb/IDBDatabaseBackendImpl.h b/Source/WebCore/Modules/indexeddb/IDBDatabaseBackendImpl.h
index 353bfa0..d48f428 100644
--- a/Source/WebCore/Modules/indexeddb/IDBDatabaseBackendImpl.h
+++ b/Source/WebCore/Modules/indexeddb/IDBDatabaseBackendImpl.h
@@ -28,7 +28,7 @@
 
 #include "IDBCallbacks.h"
 #include "IDBMetadata.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Deque.h>
 #include <wtf/HashMap.h>
 #include <wtf/ListHashSet.h>
diff --git a/Source/WebCore/editing/DictationAlternative.h b/Source/WebCore/editing/DictationAlternative.h
index 08fcea3..2de7acb 100644
--- a/Source/WebCore/editing/DictationAlternative.h
+++ b/Source/WebCore/editing/DictationAlternative.h
@@ -26,7 +26,7 @@
 #ifndef DictationAlternative_h
 #define DictationAlternative_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WebCore {
 struct DictationAlternative {
diff --git a/Source/WebCore/platform/Decimal.h b/Source/WebCore/platform/Decimal.h
index 59cdb18..75e3ff2 100644
--- a/Source/WebCore/platform/Decimal.h
+++ b/Source/WebCore/platform/Decimal.h
@@ -31,7 +31,7 @@
 #ifndef Decimal_h
 #define Decimal_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 #include <wtf/text/WTFString.h>
 
diff --git a/Source/WebCore/platform/PODArena.h b/Source/WebCore/platform/PODArena.h
index b2c5842..6719b32 100644
--- a/Source/WebCore/platform/PODArena.h
+++ b/Source/WebCore/platform/PODArena.h
@@ -26,7 +26,7 @@
 #ifndef PODArena_h
 #define PODArena_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Assertions.h>
 #include <wtf/FastMalloc.h>
 #include <wtf/Noncopyable.h>
diff --git a/Source/WebCore/platform/graphics/win/GL/glext.h b/Source/WebCore/platform/graphics/win/GL/glext.h
index 3691937..79ede2d 100644
--- a/Source/WebCore/platform/graphics/win/GL/glext.h
+++ b/Source/WebCore/platform/graphics/win/GL/glext.h
@@ -6235,13 +6235,13 @@ typedef unsigned long long int uint64_t;
 #elif defined( __VMS ) || defined(__sgi)
 #include <inttypes.h>
 #elif defined(__SCO__) || defined(__USLC__)
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #elif defined(__UNIXOS2__) || defined(__SOL64__)
 typedef long int int32_t;
 typedef long long int int64_t;
 typedef unsigned long long int uint64_t;
 #elif defined(_WIN32) && defined(__GNUC__)
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #elif defined(_WIN32)
 typedef __int32 int32_t;
 typedef __int64 int64_t;
diff --git a/Source/WebCore/platform/graphics/win/QTPixelBuffer.h b/Source/WebCore/platform/graphics/win/QTPixelBuffer.h
index 13630da..5865b02 100644
--- a/Source/WebCore/platform/graphics/win/QTPixelBuffer.h
+++ b/Source/WebCore/platform/graphics/win/QTPixelBuffer.h
@@ -32,7 +32,7 @@
 #define QTMOVIEWIN_API __declspec(dllimport)
 #endif
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 typedef struct __CVBuffer *CVBufferRef;
 typedef CVBufferRef CVPixelBufferRef;
diff --git a/Source/WebCore/platform/graphics/win/WKCAImageQueue.h b/Source/WebCore/platform/graphics/win/WKCAImageQueue.h
index 3d25b48..ce1c4db 100644
--- a/Source/WebCore/platform/graphics/win/WKCAImageQueue.h
+++ b/Source/WebCore/platform/graphics/win/WKCAImageQueue.h
@@ -31,7 +31,7 @@
 typedef const void * CFTypeRef;
 typedef const struct __CFDictionary * CFDictionaryRef;
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/OwnPtr.h>
 
 namespace WebCore {
diff --git a/Source/WebCore/platform/image-decoders/bmp/BMPImageReader.h b/Source/WebCore/platform/image-decoders/bmp/BMPImageReader.h
index b5cb96e..9f8c5c0 100644
--- a/Source/WebCore/platform/image-decoders/bmp/BMPImageReader.h
+++ b/Source/WebCore/platform/image-decoders/bmp/BMPImageReader.h
@@ -31,7 +31,7 @@
 #ifndef BMPImageReader_h
 #define BMPImageReader_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "ImageDecoder.h"
 
 namespace WebCore {
diff --git a/Source/WebCore/platform/network/MIMESniffing.cpp b/Source/WebCore/platform/network/MIMESniffing.cpp
index 27aefcb..d1c63f9 100644
--- a/Source/WebCore/platform/network/MIMESniffing.cpp
+++ b/Source/WebCore/platform/network/MIMESniffing.cpp
@@ -21,7 +21,7 @@
 #include "MIMESniffing.h"
 
 #include <cstring>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/StdLibExtras.h>
 
 using namespace std;
diff --git a/Source/WebCore/plugins/nptypes.h b/Source/WebCore/plugins/nptypes.h
index 3001288..de3604e 100644
--- a/Source/WebCore/plugins/nptypes.h
+++ b/Source/WebCore/plugins/nptypes.h
@@ -101,7 +101,7 @@
    * it. Can't do the same for stdbool.h tho, since some systems ship
    * with a stdbool.h file that doesn't compile!
    */
-  #include <stdint.h>
+  #include <wtf/wtf_stdint.h>
 
   #ifndef __cplusplus
     #if !defined(__GNUC__) || (__GNUC__ > 2 || __GNUC_MINOR__ > 95)
diff --git a/Source/WebKit/gtk/webkit/webkitwebpolicydecision.h b/Source/WebKit/gtk/webkit/webkitwebpolicydecision.h
index 2b61837..c98bfd3 100644
--- a/Source/WebKit/gtk/webkit/webkitwebpolicydecision.h
+++ b/Source/WebKit/gtk/webkit/webkitwebpolicydecision.h
@@ -21,7 +21,7 @@
 #define webkitwebpolicydecision_h
 
 #include <glib-object.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include "webkitdefines.h"
 
 G_BEGIN_DECLS
diff --git a/Source/WebKit2/Shared/API/c/WKBase.h b/Source/WebKit2/Shared/API/c/WKBase.h
index ea8e2f1..6052b85 100644
--- a/Source/WebKit2/Shared/API/c/WKBase.h
+++ b/Source/WebKit2/Shared/API/c/WKBase.h
@@ -27,7 +27,7 @@
 #ifndef WKBase_h
 #define WKBase_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #if defined(BUILDING_GTK__)
 #include <WebKit2/WKBaseGtk.h>
diff --git a/Source/WebKit2/Shared/CacheModel.h b/Source/WebKit2/Shared/CacheModel.h
index fe8c9bb..66bc0d8 100644
--- a/Source/WebKit2/Shared/CacheModel.h
+++ b/Source/WebKit2/Shared/CacheModel.h
@@ -26,7 +26,7 @@
 #ifndef CacheModel_h
 #define CacheModel_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace WebKit {
 
diff --git a/Source/WebKit2/Shared/LayerTreeContext.h b/Source/WebKit2/Shared/LayerTreeContext.h
index 9b8c663..26560c8 100644
--- a/Source/WebKit2/Shared/LayerTreeContext.h
+++ b/Source/WebKit2/Shared/LayerTreeContext.h
@@ -26,7 +26,7 @@
 #ifndef LayerTreeContext_h
 #define LayerTreeContext_h
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 namespace CoreIPC {
     class ArgumentDecoder;
diff --git a/Source/WebKit2/UIProcess/DrawingAreaProxy.h b/Source/WebKit2/UIProcess/DrawingAreaProxy.h
index 93b9f0b..228acc7 100644
--- a/Source/WebKit2/UIProcess/DrawingAreaProxy.h
+++ b/Source/WebKit2/UIProcess/DrawingAreaProxy.h
@@ -33,7 +33,7 @@
 #include <WebCore/FloatPoint.h>
 #include <WebCore/IntRect.h>
 #include <WebCore/IntSize.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Noncopyable.h>
 
 namespace WebKit {
diff --git a/Source/WebKit2/WebProcess/Cookies/WebCookieManager.h b/Source/WebKit2/WebProcess/Cookies/WebCookieManager.h
index 14bab95..1e20187 100644
--- a/Source/WebKit2/WebProcess/Cookies/WebCookieManager.h
+++ b/Source/WebKit2/WebProcess/Cookies/WebCookieManager.h
@@ -30,7 +30,7 @@
 #include "MessageReceiver.h"
 #include "NetworkProcessSupplement.h"
 #include "WebProcessSupplement.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Forward.h>
 #include <wtf/Noncopyable.h>
 
diff --git a/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePage.h b/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePage.h
index 103f478..454cc17 100644
--- a/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePage.h
+++ b/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePage.h
@@ -37,7 +37,7 @@
 #include <stdbool.h>
 #endif
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePageOverlay.h b/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePageOverlay.h
index eeb20c9..80c5493 100644
--- a/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePageOverlay.h
+++ b/Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePageOverlay.h
@@ -34,7 +34,7 @@
 #include <stdbool.h>
 #endif
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/Source/WebKit2/WebProcess/MediaCache/WebMediaCacheManager.h b/Source/WebKit2/WebProcess/MediaCache/WebMediaCacheManager.h
index a147162..6703319 100644
--- a/Source/WebKit2/WebProcess/MediaCache/WebMediaCacheManager.h
+++ b/Source/WebKit2/WebProcess/MediaCache/WebMediaCacheManager.h
@@ -28,7 +28,7 @@
 
 #include "MessageReceiver.h"
 #include "WebProcessSupplement.h"
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Forward.h>
 #include <wtf/Noncopyable.h>
 
diff --git a/Source/WebKit2/WebProcess/WebCoreSupport/WebDatabaseManager.h b/Source/WebKit2/WebProcess/WebCoreSupport/WebDatabaseManager.h
index a074e3d..e8f51a8 100644
--- a/Source/WebKit2/WebProcess/WebCoreSupport/WebDatabaseManager.h
+++ b/Source/WebKit2/WebProcess/WebCoreSupport/WebDatabaseManager.h
@@ -31,7 +31,7 @@
 #include "MessageReceiver.h"
 #include "WebProcessSupplement.h"
 #include <WebCore/DatabaseManagerClient.h>
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 #include <wtf/Noncopyable.h>
 
 namespace WebKit {
diff --git a/Tools/TestWebKitAPI/config.h b/Tools/TestWebKitAPI/config.h
index 0fb19e1..850a649 100644
--- a/Tools/TestWebKitAPI/config.h
+++ b/Tools/TestWebKitAPI/config.h
@@ -66,7 +66,7 @@
 
 #endif // PLATFORM(WIN)
 
-#include <stdint.h>
+#include <wtf/wtf_stdint.h>
 
 #if !PLATFORM(IOS) && !PLATFORM(WIN) && !(PLATFORM(GTK) && !defined(BUILDING_WEBKIT2__))
 #include <WebKit2/WebKit2_C.h>
-- 
1.8.4.msysgit.0

